Create Embed Token
curl --request POST \
--url https://api.sandbox.metriport.com/medical/v1/token/embed \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"expirationInSeconds": 123
}
'import requests
url = "https://api.sandbox.metriport.com/medical/v1/token/embed"
payload = { "expirationInSeconds": 123 }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({expirationInSeconds: 123})
};
fetch('https://api.sandbox.metriport.com/medical/v1/token/embed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import { MetriportMedicalApi } from "@metriport/api-sdk";
const metriport = new MetriportMedicalApi("YOUR_API_KEY");
const response = await metriport.createEmbedToken({
expirationInSeconds: 3600,
});
console.log(response.token);
curl -X POST "https://api.metriport.com/medical/v1/token/embed" \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"expirationInSeconds": 3600
}'
Token
Create Embed Token
Generates an access token for embedding Metriport in your application.
POST
/
medical
/
v1
/
token
/
embed
Create Embed Token
This endpoint generates an access token for embedding Metriport within your application.
Body
Optional expiration time in seconds. Maximum:
36000 (10
hours).Response
The generated access token.
import { MetriportMedicalApi } from "@metriport/api-sdk";
const metriport = new MetriportMedicalApi("YOUR_API_KEY");
const response = await metriport.createEmbedToken({
expirationInSeconds: 3600,
});
console.log(response.token);
curl -X POST "https://api.metriport.com/medical/v1/token/embed" \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"expirationInSeconds": 3600
}'
Response
{
"token": "11111111-1111-1111-1111-111111111111"
}
⌘I

